Page MenuHomePhabricator

https://phabricator.wikimedia.org/tag/XXX/board/ times out
Closed, ResolvedPublic2 Story Points

Description

NOTE: The id-based URL https://phabricator.wikimedia.org/project/board/48/ works fine. You can access it by clicking the "Workboard" button in the related project page.

Trying to open https://phabricator.wikimedia.org/tag/multimedia/board/ (this link appears next to the Multimedia project label on the task detail page) gives

Request aborted by debug time limit after 30 seconds.

STACK TRACE
AphrontBaseMySQLDatabaseConnection.php:168 PhabricatorStartup->onDebugTick()
queryfx.php:6 AphrontBaseMySQLDatabaseConnection->executeRawQuery()
-:- queryfx()
queryfx.php:16 call_user_func_array()
SprintQuery.php:137 queryfx_all()
SprintQuery.php:73 SprintQuery->getXactionData()
SprintBoardTaskCard.php:65 SprintQuery->getPointsTransactions()
SprintBoardViewController.php:282 SprintBoardTaskCard->getItem()
AphrontController.php:33 SprintBoardViewController->processRequest()
index.php:103 AphrontController->handleRequest()

Event Timeline

Tgr created this task.Dec 10 2014, 11:47 PM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: Phabricator.
Tgr changed Security from none to None.
Tgr added a subscriber: Tgr.
bd808 added a subscriber: bd808.Dec 11 2014, 12:44 AM

1<https://phabricator.wikimedia.org/tag/librarization/board/>
2
3Request aborted by debug time limit after 30 seconds.
4
5STACK TRACE
6LiskDAO.php:1639 PhabricatorStartup->onDebugTick()
7LiskDAO.php:1628 LiskDAO->call()
8SprintBoardTaskCard.php:70 LiskDAO->__call()
9SprintBoardTaskCard.php:70 ManiphestTask->getPriority()
10SprintBoardViewController.php:282 SprintBoardTaskCard->getItem()
11AphrontController.php:33 SprintBoardViewController->processRequest()
12index.php:103 AphrontController->handleRequest()
13
14---
15<https://phabricator.wikimedia.org/tag/mediawiki-core-team/board/>
16
17Request aborted by debug time limit after 30 seconds.
18
19STACK TRACE
20AphrontBaseMySQLDatabaseConnection.php:168 PhabricatorStartup->onDebugTick()
21queryfx.php:6 AphrontBaseMySQLDatabaseConnection->executeRawQuery()
22-:- queryfx()
23queryfx.php:16 call_user_func_array()
24SprintQuery.php:137 queryfx_all()
25SprintQuery.php:73 SprintQuery->getXactionData()
26SprintBoardTaskCard.php:65 SprintQuery->getPointsTransactions()
27SprintBoardViewController.php:282 SprintBoardTaskCard->getItem()
28AphrontController.php:33 SprintBoardViewController->processRequest()
29index.php:103 AphrontController->handleRequest()

Qgil triaged this task as Normal priority.Dec 11 2014, 7:43 AM
Qgil added a subscriber: Qgil.
Qgil added a subscriber: Christopher.

Is this a problem caused by Phabricator-Sprint-Extension ?

For what is worth, https://phabricator.wikimedia.org/tag/%C2%A7analytics-sprint-2014-12-01/board/ (a Sprint app workboard) does work.

Christopher added a comment.EditedDec 11 2014, 8:59 AM

This is a Sprint extension issue. This route is assumed to belong to Sprint but it should not be, because that link is project type neutral. It is an easy fix.

https://gerrit.wikimedia.org/r/#/c/179099/
ref tag: 0.6.1.3

Qgil assigned this task to Christopher.Dec 11 2014, 2:25 PM
Qgil added a comment.Dec 11 2014, 2:27 PM

@Christopher, I guess what is missing is the patch to deploy your change in phabricator.wikimedia.org?

Anomie raised the priority of this task from Normal to Unbreak Now!.Dec 11 2014, 4:20 PM
Anomie added a subscriber: Anomie.

I'm going to bump the priority on this to "Unbreak now!" since it's breaking our Kanban board.

Qgil added a comment.Dec 11 2014, 4:38 PM

If you go to your project page and then click the work board button, it
should work.

Change 179155 had a related patch set uploaded (by Qgil):
Phabricator Sprint (0.6.1.4)

https://gerrit.wikimedia.org/r/179155

Patch-For-Review

Qgil lowered the priority of this task from Unbreak Now! to High.Dec 11 2014, 7:44 PM

High priority is enough, since there is a way to access to workboards through the URL with their number / clicking the "Workboard" button in the project page.

Thanks @Legoktm for merging my duplicate.

greg added a subscriber: greg.Dec 11 2014, 10:42 PM

It should be noted that, despite this hotfix, the Sprint board / Work board link resolution problem with project tags still exists.

Opened new Task T78384 for this issue.

Note: This task is currently resolved and not blocked by T78384. T78384 addresses the related (but different) problem of the workboard links for Sprint projects not pointing to a Sprint Board.

Qgil added a comment.EditedDec 20 2014, 3:33 PM

Can someone help reviewing https://gerrit.wikimedia.org/r/#/c/179155/ , please?

@Qgil please check T85123 and we can work out this slow review and merge situation there.

Qgil moved this task from To Triage to Ready to Go on the Phabricator board.Dec 22 2014, 9:08 AM
hashar removed a subscriber: hashar.Dec 22 2014, 9:41 AM
chasemp closed this task as Resolved.Dec 23 2014, 7:45 PM

done

Qgil added a comment.Dec 23 2014, 7:59 PM

... and tested. Thanks!